mkdir modules
cd modules
mkdir teknisa

echo 'Adding login module -----------------------------------------------'

LOGIN_DIR="../../../../zeedhi/test_products/login_portalGestor"
LOGIN_BRANCH=PROD_1874_4.5.2

# Temporario: Forcando clone da ultima versao do login
#if [ -d $LOGIN_DIR]; then
#  cp -R $LOGIN_DIR login
#else
 	if [ ! -d 'login' ]; then
  		git clone git@gitlab.teknisa.com:teknisa/loginsetup.git login
  		#git clone git@192.168.122.56:teknisa/loginsetup.git login
 		cd login
   	else
   		cd login
    	git fetch --all
    	git reset --hard
   	fi
   
   	#git checkout PROD_1874_4.0.11
   	git checkout $LOGIN_BRANCH

   	cd backend
    rm -rf vendor/ composer.lock
   	composer install
   	cd ../mobile
   	bower install --allow-root
   	#npm install
   	npm update
   	grunt default
   	grunt buildAclStruct
   	grunt buildEnvironment
  
  	cd ../..
  	cp -R login $LOGIN_DIR
#fi

if [ ! -d ./acl ]; 
then
echo 'Copy ACL -------------------------------------------------------------------------------------------------------'     
cp -R ../../../../zeedhi/test_products/organizationManagement/modules_php7/acl ./     
cp -R ../../../../zeedhi/test_products/organizationManagement/modules_php7/teknisa/acl ./teknisa/ 
fi
